#!/bin/csh
clear
set nonomatch
# UNIX codeedit batch file: Mike Blair 2/10/00
#
# This runs MENTOR on the file cdedt.spx to create a coding questionnaire.
# The parameters are 1) study name and 2) MAKECODELISTS
#
set parm1=`echo $1 | tr "[:upper:]" "[:lower:]"`
set parm2=`echo $2 | tr "[:upper:]" "[:lower:]"`
# echo "at 1"
if ( $#argv == 0 ) then
  echo ""
  echo "You MUST at least enter a study name for codeedit.  Try again."
  echo ""
  echo "    Codeedit creates a coding questionnaire using the local file cdedt.spx."
  echo "    You can get a copy of this file to edit from ${CFMC}survent/cdedt.spx."
  echo ""
  echo "    If you say 'codeedit 'study' makecodelists' it generates the initial"
  echo "    codelists to be edited and used for the coding.  You will need the"
  echo "    study .qsp file and .db file and the file 'open.cde' to do this."
  echo ""
  echo "    If you say codeedit 'study' it recompiles the questionnaire with"
  echo "    your edited codelists."
  echo ""
  echo "    If you say 'codeedit 'study' counts' it counts how many questions need"
  echo "    to be coded and how many are done."
  echo ""
  echo "    If you say 'codeedit 'study' moveothercodes' it moves non-coded other-"
  echo "    specify data to the coding area and ALSO gives you the counts."
  echo ""
  echo ""
  goto endit
endif
setenv CFMCSTUDY $parm1
#echo "here 2"
if ( $#argv == 1 ) then
   if ( ! -r $parm1.otx ) then
      echo ""
      echo ""
      echo "    ' codeedit 'study' ' requires ${parm1}.otx to exist, try again."
      echo ""
      echo "    (NOTE: Do codeedit 'study' makecodelists first)"
      echo ""
      goto endit
   endif
   if ( ! -r $parm1.oex ) then
      echo ""
      echo ""
      echo "     ' codeedit 'study' ' requires ${parm1}.oex to exist, try again.
      echo ""
      echo "     (NOTE: Do ' codeedit 'study' makecodelists ' first)
      echo ""
      goto endit
   endif
   ${CFMC}go/mentor "cdedt.spx" "-cdedt.lfl" "core:3000000"
   goto endit
endif
# echo "here 4"
if ( $#argv == 2 ) then
# echo "here 5"
   if ( "$parm2" == "moveothercodes" ) then
      if ( ! -r $parm1.ot1 ) then
         echo ""
         echo ""
         echo "    ' codeedit 'study' moveothercodes ' requires ${parm1}.ot1 to exist, try again."
         echo ""
         echo "    (NOTE: Get it from the person who set up codeedit)"
         echo ""
         goto endit
      endif
      if ( ! -r  ${parm1}x.db ) then
         echo ""
         echo ""
         echo "     'codeedit MOVEOTHERCODES' requires ${parm1}x.db to exist, try again!"
         echo ""
         echo "     (NOTE: Get it from the person who set up codeedit)"
         echo ""
         goto endit
      endif
      if ( ! -r $parm1.ot3 ) then
         echo ""
         echo ""
         echo "    'codeedit MOVEOTHERCODES' requires '$parm1.ot3' to exist, try again!"
         echo ""
         echo "     (NOTE: Get it from the person who set up codeedit)"
         echo ""
         goto endit
      endif
      if ( ! -r $parm1.oe1 ) then
         echo ""
         echo ""
         echo "    ' codeedit 'study' moveothercodes ' requires ${parm1}.oe1 to exist, try again."
         echo ""
         echo "    (NOTE: Get it from the person who set up codeedit)"
         echo ""
         goto endit
      endif
      if ( ! -r $parm1.tr ) then
         echo ""
         echo ""
         echo "    'codeedit 'study' moveothercodes' requires '$parm1.tr' to exist, "
         echo ""
         echo "    try again! (HINT: Rename your input file to this name)"
         echo ""
         goto endit
      endif
      ${CFMC}go/mentor "cdedt.spx" "-cdedt.lfl" "define:@moveothercodes=Y" "core:3000000"
      cat mvotcd.cde | more
      echo " "
      echo "'movtcd.tr' has the moved data, see movotcd.cde for counts "
      echo " "
      goto endit
   endif
   if ("$parm2" == "counts" ) then
      if ( ! -r $parm1.ot1 ) then
         echo ""
         echo ""
         echo "    ' codeedit 'study' counts ' requires ${parm1}.ot1 to exist, "
         echo ""
         echo "    try again! (NOTE: Get it from the person who set up codeedit)"
         echo ""
         goto endit
      endif
      if ( ! -r  ${parm1}x.db ) then
         echo ""
         echo ""
         echo "     'codeedit 'study' counts' requires ${parm1}x.db to exist, "
         echo ""
         echo "     try again! (NOTE: Get it from the person who set up codeedit)"
         echo ""
         goto endit
      endif
      if ( ! -r $parm1.ot3 ) then
         echo ""
         echo ""
         echo "    'codeedit 'study' counts' requires '$parm1.ot3' to exist,"
         echo ""
         echo "    try again! (NOTE: Get it from the person who set up codeedit)"
         echo ""
         goto endit
      endif
      if ( ! -r $parm1.oe1 ) then
         echo ""
         echo ""
         echo "    ' codeedit 'study' counts ' requires ${parm1}.oe1 to exist,"
         echo ""
         echo "    try again! (NOTE: Get it from the person who set up codeedit)"
         echo ""
         goto endit
      endif
      if ( ! -r $parm1.tr ) then
         echo ""
         echo ""
         echo "    'codeedit 'study' counts' requires '$parm1.tr' to exist,"
         echo ""
         echo "    try again! (HINT: Rename your input file to this name)"
         echo ""
         goto endit
      endif
      ${CFMC}go/mentor "cdedt.spx" "-cdedt.lfl" "define:@counts=Y" "core:3000000"
      cat counts.cde | more
      echo " "
      echo "Current counts saved in file 'counts.cde' "
      echo " "
      goto endit
   endif
   if ( "$parm2" == "makecodelists" ) then
      if ( ! -r $parm1.qsp ) then
         echo ""
         echo ""
         echo "    ' codeedit 'study' makecodelists ' requires ${parm1}.qsp to exist, try again."
         echo ""
         echo "    (NOTE: Get it from the person who compiled the original qnaire)"
         echo ""
         goto endit
      endif
      if ( ! -r  $parm1.db ) then
         echo ""
         echo ""
         echo "     'Codeedit makecodelists' requires $parm1.db to exist, try again!"
         echo ""
         echo "     (NOTE: Get it from the person who compiled the original qnaire)"
         echo ""
         goto endit
      endif
      if ( ! -r open.cde ) then
         echo ""
         echo ""
         echo "    'Codeedit makecodelists' requires 'open.cde' to exist, try again!"
         echo ""
         echo "    (NOTE: This is the default code list for openended questions)"
         echo ""
         goto endit
      endif
      ${CFMC}go/mentor "cdedt.spx" "-cdedt.lfl" "define:@makecodes=Y" "core:3000000"
      goto endit
   endif
   echo ""
   echo ""
   echo "   codeedit had bad 2nd parameter: "
   echo "      must be ' codeedit 'study' makecodelists/moveothercodes/counts ' "
   echo "      but was ' codeedit  $parm1  $parm2 ' "
   echo ""
   goto endit
endif
if ( $#argv == 3 ) then
   echo ""
   echo "     Too many ARGUMENTS for codeedit, try again."
   echo ""
   echo "     You need to say 'codeedit 'study' 'makecodelists/counts/moveothercodes'"
   echo ""
endif
endit:
echo ""
