@echo off
rem **mb so version 8.1 doesn't stop between mentor runs
set stoponexit=never
rem Parameters: 1) Studyname, 2) "Kill" (default=no kill)
rem
rem This batch file runs Fixresum to update suspend files to match
rem   a new version of a questionnaire.  It fixes up the records it can,
rem   then finds all records that can't be fixed up, and copies or moves
rem   them to a "RETIRED" directory along with their .sus and .tr file
rem   components from Suspres.
rem
rem Optionally, it will KILL the phone numbers associated with these records
rem   using FONEUTIL.
rem
rem Still to do: Figure out how to gracefully exit if there is a study but
rem   there are no files to be moved to the RETIRED directory.
rem
rem FONEUTIL WISH: Have an optional status to give when KILLING records, so
rem   we can identify records killed by FXRESUME vs. records killed in
rem   FONEUTIL, etc.
rem
if "%1"=="" goto Badparm
copy %CFMC%CONTROL\TTYFILE %CFMCRESUME%%1%.R_\TESTIT > nul
if exist %CFMCRESUME%%1%.R_\TESTIT goto next
echo.
echo   Cannot FxRESUME study %1, No such study or no suspends to fixup for %1
echo.
echo      in directory %CFMCRESUME%%1%.R_, try again!
echo.
echo   Here are the valid study directories:
echo.
dir /p /b /w /ad %CFMCRESUME%
goto endit
:next
del %CFMCRESUME%%1%.R_\TESTIT
echo.
echo.
echo   Now starting Fxresume spec file to fixresume %1%.qff and
echo.
echo      retire suspend records that cannot be updated.
echo.
echo   We suggest you save your old version of the questionnaire in case
echo.
echo      you ever want to resume these records again.
echo.
pause
set study=%1
rem fix the ones you can, and find the ones that can't be fixed
fixresum "%CFMC%support\fxrsm.fxx" "-fxrsm.fxl,-formfeed" "define:@study=%STUDY%"
cls
echo.
echo.
echo   Fixresume done, now will retire numbers for study %study%
echo.
if "%2"=="" goto setopt2
if "%2"=="kill" goto setopt
if "%2"=="Kill" goto setopt
if "%2"=="KILL" goto setopt
goto Badparm
:setopt
echo.
echo      and KILL phone records of suspend files that cannot be updated.
echo.
set FxrsmOpt=Kill
:setopt2
copy %CFMC%CONTROL\TTYFILE %CFMCRESUME%%1%.R_\retired\TESTIT > nul
if exist %CFMCRESUME%%STUDY%.R_\RETIRED\testit goto next2
mkdir %CFMCRESUME%%STUDY%.R_\RETIRED
:next2
if exist %CFMCRESUME%%STUDY%.R_\RETIRED\testit del %CFMCRESUME%%1%.R_\retired\TESTIT
rem
rem run mentor on fixresum output, make ones not fixed into a list
rem
echo.
echo   This may take a minute or two.
echo.
pause
copy %CFMC%support\fxrsm.spx mentr.job > nul
call mentrjob
rem
rem make tr and sus files out of list of suspend records not fixed
rem
echo.
echo.
echo   Now to run Suspres to make .TR and .SUS files of non-updated SUSPENDS.
echo.
pause
suspres fxrsm.ssx -fxrsm.ssl
rem
rem save off sus and tr files to RETIRED directory, move or copy suspend files
rem
echo.
echo.
echo   Now moving files to %CFMCRESUME%%STUDY%.R_\RETIRED directory.
echo.
pause
call fxrsmmov.bat
rem now to kill numbers
rem If DELETE, put ascii fone records in RETIRED
IF "%2"=="kill" goto killnums
if "%2"=="Kill" goto killnums
if "%2"=="KILL" goto killnums
echo.
echo.
echo   Unfixed RESUMES saved in directory "%CFMCRESUME%%STUDY.R_\RETIRED".
echo.
echo   See fxrsm.ssx for list of files retired.
echo.
goto endit
:killnums
echo.
echo.
echo   Now to KILL the phone records for the unfixed suspends.
echo.
pause
foneutil fxrsm.kil -fxrsm.ftl
cls
echo.
echo.
echo   Unfixed SUSPENDS saved in directory "%CFMCRESUME%%STUDY%.R_\RETIRED".
echo.
echo   Unfixed SUSPENDS in %STUDY%.FON KILLED (resolved with status 82).
echo.
echo   See fxrsm.ssx for list of files retired.
echo.
goto endit
:Badparm
echo.
echo   Say "FxResume 'study'" to run fixresum and save retired suspends.
echo.
echo   Say "FxResume 'study' kill" to retire unfixed suspends and
echo.
echo      resolve phone records for them (give them status 82).
echo.
:endit
rem save the Fixresume output and Suspres input for listing purposes
if exist mentj.lst del mentj.lst
if exist fxrsm.ssl del fxrsm.ssl
if exist fxrsmmov.bat del fxrsmmov.bat
if exist fxrsm.kil del fxrsm.kil
if exist fxrsm.ftl del fxrsm.ftl
set study=
set fxrsmopt=
echo.
