#!/bin/csh
#
# Created by Mike Blair, CfMC, 3/21/08
#
# file to read all .cf files and make a list
# of the files to be used to generate a dialcfg listfile
# to make a summary report from
#
# set this to always point to a specific server
#
# setenv CFMC /usr/cfmc/
if ( -e ${CFMC}control/atmscon ) then
  ls -c -1 ${CFMC}control/*.cf > cfmccfg.dir
  echo ""
  echo ""
  echo "Now generating list of studies to check dialcfg settings"
  echo ""
  ${CFMC}go/mentor "&-${CFMC}support/listcfg.spx" "-listcfg.lfl" "define:@part1=true" > /dev/null
  echo ""
  echo "Now generating report on dialcfg settings"
  echo ""
  ${CFMC}go/dialcfg "docfg.spx" "-docfg.lfl,-formfeed" > /dev/null
  echo ""
  ${CFMC}go/mentor "&-${CFMC}support/listcfg.spx" "-listcfg.lfl" "define:@part2=true" > /dev/null
  more diallist
  /bin/rm cfmccfg.dir docfg.lfl listcfg.lfl docfg.spx
  echo ""
  echo ""
  echo "See file 'diallist' for permanent copy of report"
  echo ""
else
  echo ""
  echo "No CfMC dialcfg study configuration files to check, run dialcfg"
  echo "   and enter a study name to create one!"
  echo ""
endif
