#!/usr/bin/perl
# 4/27/04 - changed to cfmce761.pl
# 6/16/04 - set to 1 spec file: mksus.spx
clear;

require "/cfmc/cfg/cfmce761.pl";
$STUDY = $ENV{"STUDY"};
$QQNUM = $ENV{"QQNUM"};
if ( $#ARGV < 0 ) {
   if ($STUDY eq "" ) {
      print "\n STUDY NAME NOT SET on command line OR setenv,\n\n";
      &bad();
   }
   if ( $QQNUM eq "" ) {
      print "\nQuestion number (QQNUM) NOT SET on command line OR setenv,\n\n";
      &bad();
   }
   print "\nSetting variables study={STUDY} qqnumber=${QQNUM}\n\n";   
   $temp1=lc("$STUDY");
   $temp2=lc("$QQNUM");
}
if ( $#ARGV >= 0 ) {
# Need to make this lower case
   $temp1=lc("$ARGV[0]");
   $STUDY=$temp1;
   $ENV{"STUDY"}=$STUDY;
}
#print "before set qqnum\n";

if ( $#ARGV >= 1 ) {
   $temp2=lc("$ARGV[1]");
   $QQNUM=$temp2;
   $ENV{"QQNUM"}=$QQNUM;
}

#print "before set temp1\n";
if ( $temp1 eq "" ) {
   print "\nSTUDY NAME NOT SET on command line or setenv,\n\n";
   &bad();   
}
#print before set temp2\n";
if ( $temp2 eq "" ) {
  print "\nQuestion number *QQNUM* NOT SET on command line or setenv,\n\n";
  &bad();
}
#print "before check fonefile\n";
if ( ! -e "${CFMCFONE}$temp1.fon" ) {
   print "\nFONEFILE ${CFMCFONE}$temp1.fon not found for study $temp1, no 'makesusp' done\n\n";
   &bad();   
}
#print "before check resume directory\n";
if ( ! -d "${CFMC}resume/$temp1.r_" ) {
   print "\nRESUME directory ${CFMC}resume/$temp1.r_ not found for study $temp1, no 'makesusp' done\n\n";
   &bad();   
}

print "\n\n 'Makesusp' run to save data from suspend files in study '$temp1' \n";
print "   if suspended after question number '${QQNUM}'\n\n";
print "   This makes .TR records out of suspends that have been suspended after\n";
print "     a particular question in your questionnaire.  To decide which question \n";
print "     to use, run FONEUTIL'S '\@' option and/or look at a SUM file or QSP file \n";
print "     to determine the point after which a questionnaire should be kept \n\n";
print "     as a complete. \n\n";
print "     NOTE1: This will REMOVE the files from the RESUME directory that it saves \n\n";
print "     NOTE2: This will 'KILL' the corresponding phone records in the phone file \n";
print "              after writing the suspend data to the new file.\n\n";
print "     The directory '${CFMC}resume/$temp1.sav' will have the new files. \n";
print "     The file '$temp1.trs' will be a .TR FILE with all converted records. \n\n";
print "     Use COPYFILE to append this data to your study data, and/or use \n";
print "         CfMC example file 'newid.spx' to put case ids on the records. \n\n";
print "     PRESS 'Return' to CONTINUE or BREAK to EXIT. \n\n";
<STDIN>;
mkdir("${CFMCRESUME}$temp1.sav",0700);
if ( ! -d "${CFMCRESUME}$temp1.sav" ) {
   print "\nCannot create directory ${CFMCRESUME}$temp1.sav, access error\!\n\n";
   &bad();
}
system("${CFMC}go/foneutil \"${CFMC}support/mksus.spx\" \"-$temp1.sp1,-formfeed\" \"define:\@PART1=yes\"");
system("${CFMC}go/suspres \"${CFMC}support/mksus.spx\" \"-$temp1.ssl\" \"define:\@PART2=yes\"");
system("${CFMC}go/mentor \"${CFMC}support/mksus.spx\" \"-$temp1.mfl\" \"define:\@study=$temp1\" \"define:\@qqnum=${QQNUM}\" \"define:\@PART3=yes\"");
system("${CFMC}go/foneutil \"$temp1.sp3\" \"-$temp1.kil,-formfeed\" \"define:\@study=$temp1\"");
unlink("$temp1.sp3");

if ( -e "$temp1.trs" ) {
  clear;
  print "\n\n You have created file **** '$temp1.trs' **** \n\n";
  print "    which is a CfMC .TR file with the group of suspends you just saved. \n";
  print " See '$temp1.kil' to see the list of records saved and given \n";
  print "     status 81 in foneutil (status 81). \n\n";
  print " Use COPYFILE to append this data to your study data, and/or use \n";
  print "     CfMC example file 'newid.spx' to put case ids on the records.\n\n\n";
} else {
  print "\nFile $temp1.trs NOT created, either no suspend records to use or\n"; 
  print "     some other problem\n\n";
}


exit(0);

sub bad { 
print " ERROR: STUDY NAME OR QQNUM NOT SET, OR ${CFMCFONE}$temp1.fon IS MISSING \n";
print "        or CFMCRESUME directory ${CFMC}resume/$temp1.r_ IS MISSING\n\n";
print " EITHER SAY 'makesusp studyname qqnum' eg. 'makesusp exam2 1.00' OR \n\n";
print "        SAY 'setenv STUDY name' AND 'setenv QQNUM ###.##' AND THEN 'makesusp' \n\n";
print "        TO CONTINUE \n\n";
exit(0);
}
