@echo off
rem
rem batch file to make a standalone Survent demo. Enter the name of the study,
rem program will load study.qff/.quo/.dbr/.fon/.fnx, survent.cfg, uninstall.bat,
rem survent.exe, control\ttyinfo, control\msgfile, and control\parmfile
rem
rem End user will say: runsurv
rem
rem Program will be loaded on c: drive and start running Survent on study
rem See also runsurv.bat.
rem
rem Works with CfMC versions 8.1+ on either 32-bit or 64-bit (Windows7) operating systems
rem
rem We also put out versions of the parmfile and ttyinfo so they can run
rem without versions of those files.
rem
rem You must have 7zip loaded on your machine and it has to be in your path
echo.
if "%1"=="" echo.
if "%1"=="" echo You MUST specify the study name(s), for example:
if "%1"=="" echo.
if "%1"=="" echo    makedemo64 'study'
if "%1"=="" echo.
if "%1"=="" echo If you have a 'call' questionnaire you can use:
if "%1"=="" echo.
if "%1"=="" echo    makedemo64 'study1' 'study2' or
if "%1"=="" echo    makedemo64 'study1' 'study2' 'study3'.
if "%1"=="" echo.
if "%1"=="" goto error
if not exist %CFMC%go\survent.exe echo SURVENT.EXE program not found or CFMC variable not set!
if not exist %CFMC%go\survent.exe echo.
if not exist %CFMC%go\survent.exe echo Cannot create demo files
if not exist %CFMC%go\survent.exe goto endit
if "%3"=="" goto second
if exist %3.qff goto second
echo.
echo  The study file %3.qff does not exist, cannot load it!  Try again!
echo.
goto error
:second
if "%2"=="" goto first
if exist %2.qff goto first
echo.
echo  The study file %2.qff does not exist, cannot load it!  Try again!
echo.
goto error
:first
if exist %1.qff goto next
echo.
echo  The study file %1.qff does not exist, cannot load it!
echo.
:error
echo.
pause
echo.
echo  Say "makedemo64 'study1' 'study2' 'study3'" to create an executable Survent
echo  demo using the local study files .qff, .dbr, .quo, .fon, .fnx, etc.
echo.
echo  The program will copy program files locally and create 'survfiles.exe'.
echo  You may then send this by email or other means.
echo.
echo  This batch program requires 7zip utility installed.  If you don't have
echo  these they can be gotten from the 7zip web site.
echo.
echo  You must have and be set up to run a local version of the CfMC Survent
echo  software for this demo setup to work.
echo.
goto endit
:next
cls
echo.
echo.
echo  Makedemo64 loads your local study files (.qff/.quo/.fon/.fnx) into a zip file
echo  to be distributed to other computers for questionnaire testing.
echo.
echo  It also loads the CfMC Survent program files (survent.exe, msgfile, etc.).
echo  You must be set up to run Survent and have compiled versions of your
echo  questionnaire files in the local directory for this demo setup to work.
echo  Your CfMC Survent system is currently set up to run from "%CFMC%".
echo.
echo  About to copy program files and "%1" study files to survfiles.exe.
echo  Press 'break' to stop now or . . .
echo.
pause
echo.
echo Please wait while the system and study files are all being zipped up
echo.
if not exist control mkdir control
copy %CFMC%control\msg* control > nul
if exist makedemo.parmfile copy makedemo.parmfile control\parmfile > nul
if exist makedemo.ttyinfo  copy makedemo.ttyinfo  control\ttyinfo  > nul
if exist makedemo.initial  copy makedemo.initial  control\initial  > nul
if exist control\parmfile goto next2
if exist %CFMC%survent\makedemo.parmfile copy %CFMC%survent\makedemo.parmfile control\parmfile > nul
if exist %CFMC%survent\makedemo.ttyinfo  copy %CFMC%survent\makedemo.ttyinfo  control\ttyinfo  > nul
:next2
if exist %CFMC%control\fonestat       copy %CFMC%control\fonestat control > nul
if exist %CFMC%survent\runsurv.bat    copy %CFMC%survent\runsurv.bat .    > nul
if exist %CFMC%control\uninstall.bat  copy %CFMC%survent\uninstall.bat  . > nul
rem remove old version(s) and rebuild
if exist survfiles.exe del survfiles.exe > nul
7z a survfiles control\* -r -sfx >nul
7z a survfiles %1.qff %1.quo %1.fon -sfx >nul
if exist %1.fnx 7z a survfiles %1.fnx %1.fny %1.fnz -sfx >nul
if exist %2.qff 7z a survfiles %2.qff %2.dbr %2.quo %2.fon -sfx >nul
if exist %2.fnx 7z a survfiles %2.fnx %2.fny %2.fnz -sfx > nul
if exist %3.qff 7z a survfiles %3.qff %2.dbr %3.quo %3.fon -sfx > nul
if exist %3.fnx 7z a survfiles %3.fnx %3.fny %3.fnz -sfx > nul
7z a survfiles survent.cfg uninstall.bat -sfx > nul
7z a survfiles %cfmc%go\survent.exe -sfx > nul
echo.
echo.
echo The following is a list of the files being wrapped up to send:
echo.
pause
7z l survfiles.exe
dir /b runsurv.bat
pause
echo.
echo Send survfiles.exe and runsurv.bat to the end user and instruct them to type
echo "runsurv" to run it on their end.
echo.
echo You may want to zip these up into a file like "survdemo.zip" and send it as
echo some email programs will not send .exe files.
echo.
echo The files will be loaded to the \survdemo directory on their local drive.
echo They can type "survent" from the \survdemo directory to run the program again.
echo They can use 'uninstall.bat' to remove the files when they are done.
:endit
echo.
